Exodus 7.22

Functions
ex_put_glob_vars.c File Reference
`#include "exodusII.h"`

## Functions
int | ex_put_glob_vars (int exoid, int time_step, int num_glob_vars, const void *glob_var_vals)

## Function Documentation

## ◆ ex_put_glob_vars()

int ex_put_glob_vars | ( | int | exoid,
|  | int | time_step,
|  | int | num_glob_vars,
|  | const void * | glob_var_vals
| ) |  |

Deprecated:
  Use ex_put_var()(exoid, time_step, EX_GLOBAL, 1, 0, num_glob_vars, glob_var_vals)

The function ex_put_glob_vars() writes the values of all the global variables for a single time step. The function ex_put_variable_param() must be invoked before this call is made.

Because global variables are floating point values, the application code must declare the array passed to be the appropriate type (float or double) to match the compute word size passed in ex_create() or ex_open().

Returns
  In case of an error, ex_put_glob_vars() returns a negative number; a warning will return a positive number. Possible causes of errors include:
  - data file not properly opened with call to ex_create() or ex_open()
  - data file opened for read only.
  - ex_put_variable_param() not called previously specifying the number of global variables.

Parameters

  [in] | exoid | exodus file ID returned from a previous call to ex_create() or ex_open().
  [in] | time_step | The time step number, as described under ex_put_time(). This is essentially a counter that is incremented when results variables are output. The first time step is 1.
  [in] | num_glob_vars | The number of global variables to be written to the database.
  [in] | glob_var_vals | Array of num_glob_vars global variable values for the time_step-th time step.

As an example, the following coding will write the values of all the global variables at one time step to an open exodus II file:

int num_glo_vars, error, exoid, time_step;
float *glob_var_vals
/* write global variables */
for (j=0; j < num_glo_vars; j++) {
/* application code fills this array */
glob_var_vals[j] = 10.0;
}
error = ex_put_glob_vars (exoid, time_step, num_glo_vars, glob_var_vals);
/* Using non-deprecated functions: */
error = ex_put_var (exoid, time_step, EX_GLOBAL, 1, 0, num_glo_vars,
glob_var_vals);
error
error
Definition: ex_put_elem_var_tab.c:115
ex__obj_stats::exoid
int exoid
Definition: exodusII_int.h:666
EX_GLOBAL
Definition: exodusII.h:271
ex_put_glob_vars
SEACAS_DEPRECATED int ex_put_glob_vars(int exoid, int time_step, int num_glob_vars, const void *glob_var_vals)
Definition: ex_put_glob_vars.c:112
ex_put_var
int ex_put_var(int exoid, int time_step, ex_entity_type var_type, int var_index, ex_entity_id obj_id, int64_t num_entries_this_obj, const void *var_vals)
Definition: ex_put_var.c:238